FROM node:16.8

RUN apt-get update \
    && apt-get install openssh-client -y \
    && apt-get install wait-for-it \
    && apt-get install -y locales
# Locale

RUN sed -i -e \
  's/# ru_RU.UTF-8 UTF-8/ru_RU.UTF-8 UTF-8/' /etc/locale.gen \
   && locale-gen
ENV LANG ru_RU.UTF-8
ENV LANGUAGE ru_RU:ru
ENV LC_LANG ru_RU.UTF-8
ENV LC_ALL ru_RU.UTF-8

# Build
WORKDIR /app
COPY package*.json ./
RUN npm ci
COPY . .
RUN npm run build
ENV MODE prod
ENV CLI_PATH /app/dist/cli.js

EXPOSE 3000

CMD npm run start:${MODE}
